import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增商品推荐
    appactivityrecommend(data) {
        return request({
            url: '/activity/recommend',
            method: 'post',
            data
        })
    },
    //修改商品推荐
    editactivityrecommend(data) {
        return request({
            url: '/activity/recommend/edit',
            method: 'post',
            data
        })
    },
    //删除商品推荐
    removeactivityrecommend(data) {
        return request({
            url: '/activity/recommend/remove',
            method: 'post',
            data
        })
    },
    //查询商品推荐列表
    inquireactivityrecommendList(data) {
        return request({
            url: '/activity/recommend/list',
            method: 'get',
            params: data
        })
    },
    //获取商品推荐详细信息
    obtainactivityrecommend(data) {
        return request({
            url: `/activity/recommend/` + data,
            method: 'get',
        })
    },
}